Bug 505974 - FEAT: the rc.local in FV images should be replaced by an init script in init.d which user can choose to turn on/off
FEAT: the rc.local in FV images should be replaced by an init script in init....
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: YangKun
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-14 21:48 EDT by YangKun
Modified: 2014-03-25 20:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-28 10:37:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
guest rc.local with v7 code moved to script on data image (386 bytes, application/octet-stream)
2009-07-21 23:45 EDT, Greg Nichols
no flags Details

  None (edit)
Description YangKun 2009-06-14 21:48:23 EDT
the current rc.local should be replaced by an init script.
Comment 1 Rob Landry 2009-06-15 11:24:39 EDT
less about users per say, more about the image building, that is instead of populating a text file just 'chkconfig v7-fv-testing on' in the post section of the ks file and done.  v7-fv-testing could be named semething else.  Whatever it's called being part of the v7 package seems the simplest, but we probably don't want it enabled by default.  If users find it of use in other ways great, maybe they'll open a bug or feature request against it and we see about some enhancements.
Comment 3 Greg Nichols 2009-07-21 23:45:20 EDT
Created attachment 354645 [details]
guest rc.local with v7 code moved to script on data image

This change doesn't completely address the problem, but it helps, in that the code within the rc.local is reduced to mounting the data image, and calling a script there.

Note You need to log in before you can comment on or make changes to this bug.